Overview

Kossel / Kikuchi v1.5
 K-Pattern Simulation

© JCrystalSoft, 2011

This program is designed to simulate Kossel patterns and Kikuchi patterns for periodic crystal systems. The program does not perform intensity calculations but reflection conditions for the chosen space group will be observed. This is a successor to KOQUA, which was a DOS program for the simulation of K-patterns for crystals and quasicrystals.

The stereographic projection can be used as an overview plot and the gnomonic projection with the film outline should be used to compare the simulation with patterns obtained experimentally. The gnomonic projection zoom factor may be changed by a right-mouse-drag on the right side of the display area. Rotations around the screen normal are performed by a right-mouse-drag on the left side of the display.

Main Features

  • Interactive Draggable Plot
  • Stereographic and Gnomonic Projection
  • Reflection Conditions for 230 Space groups observed
  • Highlight lines with mouse click
  • Save/Load HKL Files
  • Angle calculator

User Interface

  1. Toggle between gnomonic/stereographic projection
  2. Slider to reduce number of plotted lines
  3. Space group selection for extinction rules
  4. Unit cell constants for simulation
  5. Simulation parameters (wavelength etc.)
  6. List of generated hkl
  7. Number of generated hkl
  8. Closest current pole found during interactive rotation (selected from the list)
  9. Indices for a clicked line
  10. Annotation
  11. Display Area: Left-mouse-button-drag: rotate crystal; Right-mouse-button-drag: rotation around screen normal and for zoom (in gnomonic projection only)
  12. Perform Simulation (generate hkl etc.)

Example of a Kossel pattern for Iron along (100).
The panels on the left can be collapsed/expanded by clicking at their label.

Context Menus

Right-click on the display area or the reflection list to access their context menus.

TEM Wavelengths

If one enters the TEM voltage [keV] in the wavelength text box, the proper relativistic wavelength will be calculated.

Extinction Rules

The space group selector contains the names of 230 space groups, for which the extinction rules (absent reflections) will be observed.

Save/Load HKL Files

In the Save/Open dialog window select file type "HKL File (*.hkl)". When the d-Threshold slider has been used only the visible reflections will be saved into the *.hkl file.

Display Colors

Background and plot colors can be customized. Select menu [Option][Color Scheme] for editing colors.

Angle Calculator

Select menu [Option][Angle Calculator]. The indices should be entered with SPACE separators (e.g; "-1 -1 -1"). When the hkl-label is exactly three characters long then no spaces are needed (e.g.: "111").

Future Features

As the target audience for this software is very small we will consider adding more features only upon user request. Please contact us if you require other custom features.

Author: Steffen Weber, Ph.D.
Web: http://www.jcrystal.com
Email: jcrystalsoft@gmail.com